// main.h



void OSCCAL_calibration(void);
uint16_t getmstime(void);

#define BOOL    char

#define FALSE   0
#define TRUE    (!FALSE)


// Macro definitions
// sbi and cbi will not be supported by future avr-libc
// version - changed to sbiBF/cbiBF "everywhere"
#define sbiBF(port,bit)  (port |= (1<<bit))   //set bit in port
#define cbiBF(port,bit)  (port &= ~(1<<bit))  //clear bit in port


/**
 * \section mark 
 * - starttime: time, when Mark was set
 * - startdist: distance, when Mark was set
 * - ridingtime: ridingtime, since Mark was set
 */
typedef struct{
	uint32_t starttime;
	uint32_t startdist;
	uint32_t ridingtime;
}MARK;
