#define DEBUG		1	
#define PROGRAM_NAME	"Radcomputer"
#define PROGRAM_VERSION "0.0"
#define USERNAME_SHORT	"Traber"
#define USERNAME_LONG	"Thomas Traber"
#define BIKENAME	"Quest"

/**
 * \section wheelint
 * MINWHEELTIME = 40   1/1024 sec
 */
#define MINWHEELTIME	40


/**
 * \section pedalint
 * max. Pedalfreq = 240 Rpm
 * -> min. Pedaltime = 333ms
 * MINPEDALTIME = 300  1/1024 sec
 */
#define MINPEDALTIME	333


#define KEYDELAY	250	//Debouncing

#define BAUD_DIV	12

#define NOOF_MARKS	10	//Number of Mark Memories

#define WHEEL_ACTIVE_LIMIT	8	//  * 1/4 sec
#define PEDAL_ACTIVE_LIMIT	16	//  * 1/4 sec
#define SYSTEM_ACTIVE_LIMIT	40

#define LCD_AUTO_POWER_OFF	0	//saves only 100uA ?

#define LOG_TO_DATAFLASH	1
#define LOG_TO_EEPROM		0

#define TEMP_MEAS_INTERVAL	4*300	//5 minutes
