#define PINB_MASK ((1<<PINB4)|(1<<PINB6)|(1<<PINB7))
#define PINE_MASK ((1<<PINE2)|(1<<PINE3))


#define KEY_UP		_BV(6)
#define KEY_DOWN	_BV(7)
#define KEY_LEFT	_BV(2)
#define KEY_RIGHT	_BV(3)
#define KEY_PUSH	_BV(4)

void joystick_init(void);
void update_display(void);
void ui_init(void);
void joystick_interrupt(void);	
void menu(void);
void print_time(FILE * file, uint32_t time);
	

